Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin.util
Interface JettyPluginWebApplication

All Superinterfaces:
  Proxy

    public interface JettyPluginWebApplication

extends Proxy

JettyPluginWebApplication Type to hide differences in API for various jetty versions. Eg there will be an impl of this class for jetty5 (proxying WebApplicationContext) and jetty6 (proxying WebAppContext).

Method Summary
`void` | `configure()`
`String` | `getContextPath()`
`Object` | `getProxiedObject()`
`void` | `setClassPathFiles(List classpathFiles)`
`void` | `setContextPath(String path)`
`void` | `setJettyEnvXmlFile(File jettyEnvXml)`
`void` | `setOverrideWebXmlFile(File overrideWebXml)`
`void` | `setTempDirectory(File tmpDir)`
`void` | `setWebAppSrcDir(File webAppDir)`
`void` | `setWebDefaultXmlFile(File webDefaultXml)`
`void` | `setWebXmlFile(File webxml)`
`void` | `start()`
`void` | `stop()`

Method Detail

### setContextPath

    void setContextPath(String path)

### getContextPath

    String getContextPath()

### setWebAppSrcDir

    void setWebAppSrcDir(File webAppDir)
                         throws Exception

  Throws:
    `Exception`

### setTempDirectory

    void setTempDirectory(File tmpDir)

### setWebDefaultXmlFile

    void setWebDefaultXmlFile(File webDefaultXml)
                              throws Exception

  Throws:
    `Exception`

### setClassPathFiles

    void setClassPathFiles(List classpathFiles)

### setWebXmlFile

    void setWebXmlFile(File webxml)

### setJettyEnvXmlFile

    void setJettyEnvXmlFile(File jettyEnvXml)

### setOverrideWebXmlFile

    void setOverrideWebXmlFile(File overrideWebXml)
                               throws Exception

  Throws:
    `Exception`

### configure

    void configure()

### start

    void start()
               throws Exception

  Throws:
    `Exception`

### stop

    void stop()
              throws Exception

  Throws:
    `Exception`

### getProxiedObject

    Object getProxiedObject()

  Specified by:
    `getProxiedObject` in interface `Proxy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.